cURL
curl --request PATCH \
--url https://api.useconquest.com/v1/members/{memberId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"primaryEmail": "<string>",
"emails": [
"jsmith@example.com"
],
"phones": [
"+33612345678"
],
"jobTitle": "<string>",
"avatarUrl": "<string>",
"country": "<string>",
"language": "<string>",
"tags": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"linkedinUrl": "<string>"
}
'import requests
url = "https://api.useconquest.com/v1/members/{memberId}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"primaryEmail": "<string>",
"emails": ["jsmith@example.com"],
"phones": ["+33612345678"],
"jobTitle": "<string>",
"avatarUrl": "<string>",
"country": "<string>",
"language": "<string>",
"tags": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"linkedinUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
primaryEmail: '<string>',
emails: ['jsmith@example.com'],
phones: ['+33612345678'],
jobTitle: '<string>',
avatarUrl: '<string>',
country: '<string>',
language: '<string>',
tags: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
linkedinUrl: '<string>'
})
};
fetch('https://api.useconquest.com/v1/members/{memberId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"member": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"primaryEmail": "<string>",
"emails": [
"<string>"
],
"phones": [
"<string>"
],
"jobTitle": "<string>",
"avatarUrl": "<string>",
"language": "<string>",
"country": "<string>",
"tags": [
"<string>"
],
"level": 123,
"pulse": 123,
"source": "<string>",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstActivity": "2023-11-07T05:31:56Z",
"lastActivity": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"code": "BAD_REQUEST",
"error": "Invalid request"
}{
"code": "UNAUTHORIZED",
"error": "Authentication failed"
}{
"code": "NOT_FOUND",
"error": "Resource not found"
}Members
Update member
Update a member in your workspace
PATCH
/
v1
/
members
/
{memberId}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
⌘I